View Issue Details

IDProjectCategoryView StatusLast Update
15451Bug reportsSurvey takingpublic2020-02-03 14:57
Reporterollehar Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0-RC6 
Target Version4.0.x 
Summary15451: Answer options randomization does not work
Description

Title

Steps To Reproduce
  1. Create survey
  2. Create survey page (question group previously)
  3. Create question (List, radio)
  4. Add three answer options
  5. Set Display --> random order to yes
  6. Preview
  7. Always same answer order
TagsNo tags attached.
Complete LimeSurvey version number (& build)latest develop
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

LouisGac

LouisGac

2019-10-24 11:58

developer   ~54204

Random order option is not saved

LouisGac

LouisGac

2019-10-24 12:09

developer   ~54206

Indeed the random order option is saved, but the page must be reloaded else it's not shown.

LouisGac

LouisGac

2019-10-24 16:51

developer   ~54210

https://github.com/LimeSurvey/LimeSurvey/commit/0a15ba7f1bebf21393e5f654b6da820282a1d686

ollehar

ollehar

2019-10-30 10:27

administrator   ~54270

Need to check with seed. Goes for all randomization.

lime_release_bot

lime_release_bot

2020-02-03 14:57

administrator   ~55657

Fixed in Release 4.0.0-RC7+191111

Issue History

Date Modified Username Field Change
2019-10-23 15:48 ollehar New Issue
2019-10-23 15:48 ollehar Status new => assigned
2019-10-23 15:48 ollehar Assigned To => LouisGac
2019-10-23 15:48 ollehar Severity partial_block => minor
2019-10-23 15:50 ollehar Target Version 5.0.0dev => 4.0.x
2019-10-24 11:58 LouisGac Note Added: 54204
2019-10-24 12:09 LouisGac Note Added: 54206
2019-10-24 12:09 LouisGac Status assigned => confirmed
2019-10-24 16:51 LouisGac Assigned To LouisGac => ollehar
2019-10-24 16:51 LouisGac Status confirmed => review
2019-10-24 16:51 LouisGac Note Added: 54210
2019-10-30 10:27 ollehar Note Added: 54270
2020-02-03 14:57 lime_release_bot Note Added: 55657
2020-02-03 14:57 lime_release_bot Status review => closed
2020-02-03 14:57 lime_release_bot Resolution open => fixed